/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.view.plan.actions.Actions"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.SelectAllAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.DeselectAllAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.SelectBetweenAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.MoveBelowAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.MoveAboveAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.MoveIntoAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.DemoteAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.PromoteAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.Separator"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.EditAction"); //$NON-NLS-1$
dojo.require("com.ibm.team.apt.web.ui.internal.view.plan.actions.NewWorkItemMenuAction"); //$NON-NLS-1$

(function() {

dojo.mixin(com.ibm.team.apt.web.ui.internal.view.plan.actions.Actions,  {
	createViewEntryActions: function(viewModel, itemMovePolicy, errorReporter, viewerItem) {
		var result= [];
	
		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.MoveAboveAction(viewModel, itemMovePolicy, errorReporter));
		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.MoveBelowAction(viewModel, itemMovePolicy, errorReporter));
		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.MoveIntoAction(viewModel, itemMovePolicy, errorReporter));
		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.DemoteAction(viewModel, itemMovePolicy, errorReporter));
		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.PromoteAction(viewModel, itemMovePolicy, errorReporter));
		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.Separator("actions.edit")); //$NON-NLS-1$
		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.EditAction(viewerItem));
		
		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.NewWorkItemMenuAction(viewModel, itemMovePolicy));
	
//		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.Separator("actions.select")); //$NON-NLS-1$
//		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.SelectAllAction(viewModel));
//		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.DeselectAllAction(viewModel));
//		result.push(new com.ibm.team.apt.web.ui.internal.view.plan.actions.SelectBetweenAction(viewModel));
	
		return result;
	}
});

})();
