/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.common.AttributeDescription"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.common.ConfigurationElement"); //$NON-NLS-1$

(function() {

var ConfigurationElement			= com.ibm.team.apt.common.ConfigurationElement;

dojo.declare("com.ibm.team.apt.common.AttributeDescription", ConfigurationElement, { //$NON-NLS-1$

	constructor: function(attributeDescriptionDTO) {
		this.queryId= attributeDescriptionDTO.queryId;
		this.attributeType= attributeDescriptionDTO.attributeType;
		this.readOnly= attributeDescriptionDTO.readOnly || false;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	attributeType: null,
	readOnly: null,
	queryId: null,

	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});


com.ibm.team.apt.common.AttributeDescription.create= function(id, type, displayName) {
	return new com.ibm.team.apt.common.AttributeDescription({
		id: id,
		attributeType: type,
		name: displayName,
		implementation: "com.ibm.team.apt.client.BuiltInAttribute" //$NON-NLS-1$
	});
};

})();
