/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.ui.structure.MessageElement"); //$NON-NLS-1$

(function() {

var idCounter= 0;

dojo.declare("com.ibm.team.apt.ui.structure.MessageElement", null, { //$NON-NLS-1$

	__id: 0,
	__message: null,
	__options: null,
	
	constructor: function(message, options) {
		this.__id= "_e3onUy3kEd6l-4iY83xL5Q" + idCounter++; //$NON-NLS-1$
		this.__message= message;
		this.__options= options || 0;
	},

	equals: function(other) {
		if (this === other)
			return true;

		if (this.declaredClass !== other.declaredClass)
			return false;

		return this.__id === other.__id;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	getElementKey: function() {
		return this.__id;
	},

	getMessage: function() {
		return this.__message;
	},
	
	getOptions: function() {
		return this.__options;
	},
	
	compareTo: function(other) {
		return this.__message.label.localeCompare(other.__message.label);
	},
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

com.ibm.team.apt.ui.structure.MessageElement.CREATE_LINK= 1;

})();
