/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 
(function() { // avoid variables in the global (window) scope
	
var EventTopics= dojo.provide("com.ibm.team.workitem.web.ui.internal.page.EventTopics");

EventTopics.BUILDER_POST_SAVE= "builder/postSave";
EventTopics.INITIALIZE_QUERIES= "pageview/initializeQueries";
EventTopics.WORKITEM_EDITOR_CHANGED= "workitem/editorChanged";
EventTopics.QUERY_EDITOR_CHANGED= "query/editorChanged";
EventTopics.ITEMPROXY_DESTROYED= "itemproxy/destroyed";
EventTopics.WORKITEM_ABOUT_TO_SAVE= "workitem/aboutToSave";
EventTopics.WORKITEM_FETCHED= "workitem/fetched";
EventTopics.WORKITEM_PRESENTATION_CHANGED= "workitem/presentationChanged";
EventTopics.WORKITEM_CHANGED= "workitem/changed";
EventTopics.WORKITEM_TYPE_CHANGED= "workitem.attributes.workItemType/changed";
EventTopics.WORKITEM_VIEW_CHANGED= "workitem/view/changed";
EventTopics.STOP_BACKGROUND_OPERATIONS= "workitem/operations/stop";
EventTopics.SHOW_ERROR_PAGE= "workitem/view/errorpage";
})();