/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.process.common.TeamArea"); //$NON-NLS-1$

dojo.require("com.ibm.team.process.common.ProcessArea"); //$NON-NLS-1$

(function() {

var ProcessArea						= com.ibm.team.process.common.ProcessArea;

dojo.declare("com.ibm.team.process.common.TeamArea", ProcessArea, { //$NON-NLS-1$

	constructor: function(teamAreaDTO) {
		this.path= teamAreaDTO.path;
		this.getDevLine= teamAreaDTO.getDevLine;
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	path: null,
	
	getDevLine: function() {
		return null;
	},
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
