/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.ui.model.OutplaceLocationMarker"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.ui.model.LocationMarker"); //$NON-NLS-1$

(function() {
	
var LocationMarker					= com.ibm.team.apt.ui.model.LocationMarker;

dojo.declare("com.ibm.team.apt.ui.model.OutplaceLocationMarker", LocationMarker, { //$NON-NLS-1$
	
	__planItem: null,

	constructor: function(planItem) {
		this.__planItem= planItem;
	},
	
	//--- API --------------------------------------------------------------------------------------------------------------
	
	getLocationMessage: function() {
		return "Does not belong to the plan..."; //$NON-NLS-1$
	},

	__sentinel: null // terminates this class definition
});


})();
